<?php

namespace Drupal\domain_menus;

use Drupal\menu_ui\MenuListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Defines a class to build a listing of domain menus.
 *
 */
class DomainMenusListBuilder extends MenuListBuilder {

  /**
   * {@inheritdoc}
   *
   * List only entities in which the user has edit access.
   */
  public function buildRow(EntityInterface $entity) {
    $operations = parent::getDefaultOperations($entity);
    $menu_domains = $entity->getThirdPartySetting("domain_menus", "domains", []);
    if (!empty($menu_domains) && isset($operations['edit'])) {
      return parent::buildRow($entity);
    }
  }
}
